Skip to main content
GET
https://api.usenotra.com
/
v1
/
posts
/
generate
/
{jobId}
Get async post generation status
curl --request GET \
  --url https://api.usenotra.com/v1/posts/generate/{jobId} \
  --header 'Authorization: Bearer <token>'
{
  "job": {
    "id": "<string>",
    "organizationId": "<string>",
    "status": "queued",
    "contentType": "changelog",
    "lookbackWindow": "current_day",
    "repositoryIds": [
      "<string>"
    ],
    "brandVoiceId": "<string>",
    "workflowRunId": "<string>",
    "postId": "<string>",
    "error": "<string>",
    "source": "api",
    "createdAt": "<string>",
    "updatedAt": "<string>",
    "completedAt": "<string>"
  },
  "events": [
    {
      "id": "<string>",
      "jobId": "<string>",
      "type": "queued",
      "message": "<string>",
      "createdAt": "<string>",
      "metadata": {}
    }
  ]
}

Authorizations

Authorization
string
header
required

Send your API key in the Authorization header as Bearer API_KEY.

Path Parameters

jobId
string
required
Minimum string length: 1
Example:

"job_123"

Response

Post generation status fetched successfully

job
object
required
events
object[]
required